Bug 234141

Summary: math/taucs: use metis5 and try to fix memory detection
Product: Ports & Packages Reporter: Pedro F. Giffuni <pfg>
Component: Individual Port(s)Assignee: Pedro F. Giffuni <pfg>
Status: Closed FIXED    
Severity: Affects Only Me CC: tcberner
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234142
Bug Depends on: 234146    
Bug Blocks: 234142    
Attachments:
Description Flags
Port patch
none
patch with fix for memory handling none

Description Pedro F. Giffuni freebsd_committer 2018-12-18 18:36:47 UTC
Created attachment 200235 [details]
Port patch

Metis 4 has license and availability issues so move to metis5 which produces the same tests results as previous versions.

Use the BSD/darwin memory detection instead of just reporting an error.

Pet portlint while here.
Comment 1 Pedro F. Giffuni freebsd_committer 2018-12-18 18:51:45 UTC
Created attachment 200236 [details]
patch with fix for memory handling
Comment 2 Pedro F. Giffuni freebsd_committer 2018-12-18 23:40:18 UTC
Add dependency on calculix-ccx which will stop using taucs to avoid having the secondary metis4 dependency right away (I have to do a lot more testing with the new metis before we can use it there).
Comment 3 commit-hook freebsd_committer 2019-04-19 20:18:35 UTC
A commit references this bug:

Author: pfg
Date: Fri Apr 19 20:18:06 UTC 2019
New revision: 499388
URL: https://svnweb.freebsd.org/changeset/ports/499388

Log:
  math/taucs: change metis4 dependency to metis.

  We don't ship metis4 due to license concerns. Use metis 5 instead as it
  is reported to work fine and it passes the same tests as the previous
  version.

  Use the BSD/darwin memory detection code although we still don't pass
  the corresponding test.

  Pet portlint while here.

  PR:	234141
  Approved by:	thierry (mentor)

Changes:
  head/math/taucs/Makefile
  head/math/taucs/files/patch-src_taucs__memory.c
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-20 10:54:16 UTC
Assign to committer that resolved